Package tigase.monitor.tasks

# Class DiskTask

java.lang.Object
tigase.monitor.tasks.AbstractConfigurableTask
tigase.monitor.tasks.AbstractConfigurableTimerTask
tigase.monitor.tasks.DiskTask

All Implemented Interfaces:
  `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

@Bean(name="disk-task", parent=MonitorComponent.class, active=true) public class DiskTask extends AbstractConfigurableTimerTask implements Initializable

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected MonitorComponent`
  `component`
  `static final String`
  `DISK_USAGE_MONITOR_EVENT_NAME`
  `protected static final TimestampHelper`
  `dtf`
  `protected EventBus`
  `eventBus`
  `protected float`
  `threshold`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiskTask()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Form`
  `getCurrentConfiguration()`
  `void`
  `initialize()`
  Method will be called, when bean will be created, configured and ready to use.
  `protected void`
  `run()`
  `void`
  `setNewConfiguration(Form form)`
  `void`
  `setThreshold(Float threshold)`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTimerTask

  `beforeUnregister, disable, enable, getPeriod, getTimerTaskService, setPeriod, setTimerTaskService`

  ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

  `isEnabled, setEnabled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DISK_USAGE_MONITOR_EVENT_NAME

    public static final String DISK_USAGE_MONITOR_EVENT_NAME
    See Also:
      - Constant Field Values

  - ### dtf

    protected static final TimestampHelper dtf

  - ### component

    @Inject protected MonitorComponent component

  - ### eventBus

    @Inject protected EventBus eventBus

  - ### threshold

    @ConfigField(desc="Disk usage threshold") protected float threshold

- ## Constructor Details

  - ### DiskTask

    public DiskTask()

- ## Method Details

  - ### getCurrentConfiguration

    public Form getCurrentConfiguration()
    Specified by:
      `getCurrentConfiguration` in interface `ConfigurableTask`
    Overrides:
      `getCurrentConfiguration` in class `AbstractConfigurableTimerTask`

  - ### initialize

    public void initialize()
    Description copied from interface: `Initializable`
    Method will be called, when bean will be created, configured and ready to use.
    Specified by:
      `initialize` in interface `Initializable`
    Overrides:
      `initialize` in class `AbstractConfigurableTask`

  - ### setNewConfiguration

    public void setNewConfiguration(Form form)
    Specified by:
      `setNewConfiguration` in interface `ConfigurableTask`
    Overrides:
      `setNewConfiguration` in class `AbstractConfigurableTimerTask`

  - ### setThreshold

    public void setThreshold(Float threshold)

  - ### run

    protected void run()
    Specified by:
      `run` in class `AbstractConfigurableTimerTask`